Subject: /etc/passwd on GuixSD can end up containing default home directories

From: [email-masked] (Ludovic Courtès)
Date: Sun, 18 Nov 2018 23:05:26 +0100

Hello Guix,

On IRC, fps reported this issue: their user account was declared like
this:

26   (users (cons (user-account                              
27                 (name "fps")                              
28                 (comment "fps")                           
29                 (group "users")                           
30                 (supplementary-groups '("wheel" "netdev"  
31                                         "audio" "video")) 
32                 (home-directory "/home/bob"))    ;<--- notice “bob”!

… yet /etc/passwd would refer to /home/fps for user “fps” (this is on a
fresh GuixSD 0.15.0 install.)

This in turn would prevent logging in as “fps” because /home/fps didn’t
exist (meaning the ‘user-homes’ Shepherd service created /home/bob, not
/home/fps.)

Ludo’.